LibreOffice: XSLTTransformer Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSLTTransformer Service Reference

Get unspecified XSLT filter transformer. More...

Inheritance diagram for XSLTTransformer:

## Public Member Functions
| create ([in] sequence< any > args)
Public Member Functions inherited from XActiveDataControl
void | addListener ([in] com::sun::star::io::XStreamListener aListener)
| registers an object to receive events from this data source.
void | removeListener ([in] com::sun::star::io::XStreamListener aListener)
| unregisters an object to receive events from this data source.
void | start ()
| starts I/O.
void | terminate ()
| does a weak abort.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream.
com::sun::star::io::XInputStream | getInputStream ()
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream.
com::sun::star::io::XOutputStream | getOutputStream ()
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.

## Additional Inherited Members
Exported Interfaces inherited from XXSLTTransformer
interface | com::sun::star::io::XActiveDataControl
interface | com::sun::star::io::XActiveDataSink
interface | com::sun::star::io::XActiveDataSource
interface | com::sun::star::lang::XInitialization

## Detailed Description

Get unspecified XSLT filter transformer.

It is not safe to expect support for any features except XSLT 1.0 .

Since
  LibreOffice 4.0

## Member Function Documentation

## ◆ create()

create | ( | [in] sequence< any > | args | ) |

The documentation for this service was generated from the following file:

- com/sun/star/xml/xslt/XSLTTransformer.idl